Bug 111725 - There's no longer a way to edit Authoring Kit steps
There's no longer a way to edit Authoring Kit steps
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity high
: ---
: ---
Assigned To: Scott Seago
Jon Orris
:
Depends On:
Blocks: 106481
  Show dependency treegraph
 
Reported: 2003-12-09 07:14 EST by Matthew Booth
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 17:44:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2003-12-09 07:14:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031026 Firebird/0.7

Description of problem:
With the Loader/Initializer split, we've removed the functionality
provided by the XML Content Type initializer, which allowed you to
change the authoring kit steps per content type. This functionality
doesn't fit well with the idea of generic, downloadable rpms. However
the original requirement is still there, so it's clear that something
else is required to replace it.

There is some old code for editing authoring kits in
c.a.cms.ui.authoringkit. It's not pretty and had some bugs, but after
a bit of hacking I can confirm that it does the job.

I branched CMS to test the re-introduction of this code. P4 changelist
38618 fixes the code and adds it back in to the content type editing
view on my branch.

Please note that the lack of this functionality is a blocker for APLAWS.

Version-Release number of selected component (if applicable):
Rickshaw
Comment 1 Scott Seago 2004-01-09 16:56:48 EST
Integrated into aplaws-ws3 @39264. It still needs some review before
integrating into the trunk.
Comment 2 Scott Seago 2004-01-13 15:19:06 EST
Still need further review, but initial impressions are the code seems
to work as advertized, with one important fix needed: there are no
permissions checks. I'll need to add permissions check for
content_type_admin privileges. Also, now that we've globalized the
authoring step names, the UI needs to show the localized view in the
table of steps, but allow direct entry of the label string in the
textfield (and entry of the bundle name for where the label is stored).
Comment 3 Scott Seago 2004-01-14 16:04:19 EST
Updates to aplaws-ws3 @39373:

1) permissions checks added
2) buggy step deletion code fixed
3) Code updated to work with Randy's recent authoring kit
globalization work

Note You need to log in before you can comment on or make changes to this bug.